Public Class usrCntlATLAS_NCTS_Verschluesse


    Public LIST As New List(Of usrCntlATLAS_NCTS_SicherheitPos)
    ' Public NCTS As DAKOSY_Worker.cDakosyNCTSOut = Nothing
    Dim AKT_POS As Integer = -1

    Sub New() 'NCTS As DAKOSY_Worker.cDakosyNCTSOut)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        '  Me.NCTS = NCTS
        ' loadValues()
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.



    End Sub



 

    Private Sub usrCntlATLAS_NCTS_Sicherheit_Load(sender As Object, e As EventArgs) Handles Me.Load
        'loadValues()

        cboVerschlussart.Items.Clear()
        cboVerschlussart.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVerschlussart.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Raumverschluss", "R"))
        cboVerschlussart.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Packverschluss", "P"))

        ' MyComboBox2.Items.Clear()
        ' MyComboBox2.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        '  MyComboBox2.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Zollanmeldung", "Zollanmeldung"))

        ' setValues(NCTS)
    End Sub

    Sub setValues(NCTS As DAKOSY_Worker.cDakosyNCTSOut)
        If NCTS Is Nothing Then Exit Sub

        txtVerschlussanzahl._value = If(NCTS.ncts_Verschluss_Anzahl, "")
        cboVerschlussart.changeItem(NCTS.ncts_Verschluss_ArtCode)
      
        If NCTS.ncts_Verschluss_Zeichen1 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen1)
        If NCTS.ncts_Verschluss_Zeichen2 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen2)
        If NCTS.ncts_Verschluss_Zeichen3 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen3)
        If NCTS.ncts_Verschluss_Zeichen4 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen4)
        If NCTS.ncts_Verschluss_Zeichen5 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen5)
        If NCTS.ncts_Verschluss_Zeichen6 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen6)
        If NCTS.ncts_Verschluss_Zeichen7 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen7)
        If NCTS.ncts_Verschluss_Zeichen8 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen8)
        If NCTS.ncts_Verschluss_Zeichen9 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen9)
        If NCTS.ncts_Verschluss_Zeichen10 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen10)
        If NCTS.ncts_Verschluss_Zeichen11 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen11)
        If NCTS.ncts_Verschluss_Zeichen12 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen12)
        If NCTS.ncts_Verschluss_Zeichen13 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen13)
        If NCTS.ncts_Verschluss_Zeichen14 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen14)
        If NCTS.ncts_Verschluss_Zeichen15 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen15)
        If NCTS.ncts_Verschluss_Zeichen16 IsNot Nothing Then MyDatagridview1.Rows.Add("", "", NCTS.ncts_Verschluss_Zeichen16)
    End Sub

    Public Sub getValues(ByRef NCTS As DAKOSY_Worker.cDakosyNCTSOut)
        NCTS.ncts_Verschluss_Anzahl = cProgramFunctions.isLeerNothingDbl(txtVerschlussanzahl._value)
        NCTS.ncts_Verschluss_ArtCode = cProgramFunctions.isLeerNothing(cboVerschlussart._value)
        NCTS.ncts_Verschluss_Zeichen1 = If(MyDatagridview1.RowCount > 0, MyDatagridview1.Rows(0).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen2 = If(MyDatagridview1.RowCount > 1, MyDatagridview1.Rows(1).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen3 = If(MyDatagridview1.RowCount > 2, MyDatagridview1.Rows(2).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen4 = If(MyDatagridview1.RowCount > 3, MyDatagridview1.Rows(3).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen5 = If(MyDatagridview1.RowCount > 4, MyDatagridview1.Rows(4).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen6 = If(MyDatagridview1.RowCount > 5, MyDatagridview1.Rows(5).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen7 = If(MyDatagridview1.RowCount > 6, MyDatagridview1.Rows(6).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen8 = If(MyDatagridview1.RowCount > 7, MyDatagridview1.Rows(7).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen9 = If(MyDatagridview1.RowCount > 8, MyDatagridview1.Rows(8).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen10 = If(MyDatagridview1.RowCount > 9, MyDatagridview1.Rows(9).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen11 = If(MyDatagridview1.RowCount > 10, MyDatagridview1.Rows(10).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen12 = If(MyDatagridview1.RowCount > 11, MyDatagridview1.Rows(11).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen13 = If(MyDatagridview1.RowCount > 12, MyDatagridview1.Rows(12).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen14 = If(MyDatagridview1.RowCount > 13, MyDatagridview1.Rows(13).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen15 = If(MyDatagridview1.RowCount > 14, MyDatagridview1.Rows(14).Cells("Siegel").Value, Nothing)
        NCTS.ncts_Verschluss_Zeichen16 = If(MyDatagridview1.RowCount > 15, MyDatagridview1.Rows(15).Cells("Siegel").Value, Nothing)

    End Sub


    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        addSiegel()
    End Sub

    Sub addSiegel()
        Label22.Visible = False
        Label3.Visible = False
        lblEinträge.Visible = False
        If MyDatagridview1.RowCount >= 16 Then
            MyTextBox2.Text = ""
            lblEinträge.Visible = True
            Exit Sub
        End If
        ' If MyComboBox2._value = "" Then Label22.Visible = True : MyComboBox2.Focus() : Exit Sub
        If MyTextBox2.Text = "" Then Label3.Visible = True : MyTextBox2.Focus() : Exit Sub

        MyDatagridview1.Rows.Add("", "", MyTextBox2.Text) 'MyComboBox2
        MyTextBox2.Text = ""
        ' MyComboBox2.changeItem("") : MyTextBox2.Text = ""
        MyDatagridview1.FirstDisplayedScrollingRowIndex = MyDatagridview1.RowCount - 1
        MyDatagridview1.ClearSelection()
        '    MyComboBox2.Focus()
        MyTextBox2.Focus()
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        If MyDatagridview1.SelectedRows.Count > 0 Then
            If MsgBox("Möchten Sie den Eintrag in 'Siegel' wirklich löschen?", vbYesNoCancel) = vbYes Then
                MyDatagridview1.Rows.Remove(MyDatagridview1.SelectedRows(0))
            End If
        End If
        MyDatagridview1.ClearSelection()
    End Sub

    Private Sub MyComboBox2_KeyDown(sender As Object, e As KeyEventArgs) Handles MyComboBox2.KeyDown, MyTextBox2.KeyDown
        If e.KeyCode = Keys.Return Then addSiegel()
        e.Handled = True
    End Sub

End Class

